## ros-melodic-rail-manipulation-msgs 0.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_manipulation_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  geometry_msgs
  message_generation
  sensor_msgs
  visualization_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(FILES
  BoundingVolume.msg
  Grasp.msg
  GraspingState.msg
  GraspFeedback.msg
  SegmentedObject.msg
  SegmentedObjectList.msg
)

## Generate services in the 'srv' folder
add_service_files(FILES
  CallIK.srv
  CartesianPath.srv
  PairwiseRank.srv
  PrepareGrasp.srv
  ProcessSegmentedObjects.srv
  SegmentObjects.srv
  SegmentObjectsFromPointCloud.srv
  SuggestGrasps.srv
)


## Generate actions in the 'action' folder
add_action_files(FILES
  Arm.action
  Gripper.action
  Lift.action
  MoveToJointPose.action
  MoveToPose.action
  Pickup.action
  Primitive.action
  RecognizeObject.action
  Store.action
  VerifyGrasp.action
)

generate_messages(DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  sensor_msgs
  visualization_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS actionlib_msgs geometry_msgs sensor_msgs visualization_msgs
)

=== debian/changelog ===
ros-melodic-rail-manipulation-msgs (0.0.14-1bionic) bionic; urgency=high

  * Added new srv file for segmenting objects, which allows for passing a pointcloud in the request
  * Added indices of the object in the organized pc to SegementedObject.msg
  * Contributors: Weiyu Liu

 -- David Kent <dekent@gatech.edu>  Thu, 27 Jun 2019 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.13-1bionic) bionic; urgency=high

  * New service message, takes a segmented object list in, returns a segmented object list after some processing has been done
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Fri, 07 Jun 2019 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.12-1bionic) bionic; urgency=high

  * Added better bounding volumes and some other features to segmented object message, added alternative API for object segmentation that acts more like a service
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Fri, 21 Sep 2018 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.11-1bionic) bionic; urgency=high

  * Added new service used in grasp suggestion and ranking
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 01 Aug 2017 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.10-1bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/GT-RAIL/rail_manipulation_msgs/issues/2> from velveteenrobot/develop
    Added new msg and srv to facilitate grasp suggestion
  * Added new msg and srv to facilitate grasp suggestion
  * Contributors: David Kent, Sarah Elliott

 -- David Kent <dekent@gatech.edu>  Tue, 18 Jul 2017 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.9-1bionic) bionic; urgency=high

  * Added optional flag for attaching object collision model after pickup
  * Updated Cartesian Path service to use stamped poses
  * Primitive action for simple Cartesian actions
  * added grasp id to grasp messages
  * Added joint state difference to optionally prevent large changes in joint configuration
  * Contributors: Aaron St. Clair, David Kent, Russell Toris

 -- David Kent <dekent@gatech.edu>  Wed, 11 Jan 2017 05:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.8-1bionic) bionic; urgency=high

  * Update README.md
  * Update package.xml
  * Added grasping state message
  * Consolidated some messages with carl_moveit for more general use
  * Added (optional) speed and force parameters to the gripper goal
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Fri, 19 Feb 2016 05:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.7-1bionic) bionic; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/rail_manipulation_msgs into develop
  * Included success rate data with grasps
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.6-1bionic) bionic; urgency=high

  * cleared flag added
  * Contributors: Russell Toris

 -- David Kent <dekent@gatech.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.5-1bionic) bionic; urgency=high

  * changelog updated
  * Added center to segmented object message
  * Contributors: David Kent, Russell Toris

 -- David Kent <dekent@gatech.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.4-1bionic) bionic; urgency=high

  * bounding box info added
  * Contributors: Russell Toris

 -- David Kent <dekent@gatech.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.3-1bionic) bionic; urgency=high

  * orientation added
  * removed old recognize actions
  * Contributors: Russell Toris

 -- David Kent <dekent@gatech.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.2-1bionic) bionic; urgency=high

  * Refactored recognize actions
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_manipulation_msgs into develop
  * Added recognition actions
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-melodic-rail-manipulation-msgs (0.0.1-1bionic) bionic; urgency=high

  * added image to segmented
  * added marker and centroid to objects
  * added readmes and such
  * initial messages
  * Contributors: Russell Toris

 -- David Kent <dekent@gatech.edu>  Tue, 24 Mar 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-rail-manipulation-msgs
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/rail_manipulation_msgs
Standards-Version: 3.9.2

Package: ros-melodic-rail-manipulation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-visualization-msgs
Description: Common Manipulation Messages and Services Used in RAIL Manipulation Packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rail-manipulation-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
